#include "osal_irq.h"
#include <rtthread.h>

void osal_enter_critical(void)
{
    rt_enter_critical();
}

void osal_exit_critical(void)
{
    rt_exit_critical();
}

osal_uint8_t osal_interrupt_get_nest(void)
{
    return rt_interrupt_get_nest();
}
